/*****************************************************************************

  3D Randomized Motion Planner

  COPYRIGHT (c) 1990 
  THE BOARD OF TRUSTEES OF THE LELAND STANFORD JUNIOR UNIVERSITY
  ALL RIGHTS RESERVED

  No duplications, whole or partial, manual or electronic, may be made 
  without the express permission of the author. Any such copies, or 
  revisions thereof, must display this notice unaltered.

  Robotics Laboratory,
  Computer Science Department,
  Stanford University

  Original author: Jerome Barraquand
  Modified by Tsai-Yen Li (li@flamingo.Stanford.EDU)
  Advisor: Jean-Claude Latombe

******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "clock.h"

/****************************************************************************
*  function to start a clock
*****************************************************************************/
clock_t Start_Clock(char *proc_str) {

  clock_t start;

  start = clock();
  fprintf(stderr,"Start %s ...\n",proc_str);
  return(start);
}

/****************************************************************************
*  function to stop a clock
*****************************************************************************/
clock_t Finish_Clock(char *proc_str) {

  clock_t finish;

  finish = clock();
  fprintf(stderr,"Finish %s ...\n",proc_str);
  return(finish);
}

/****************************************************************************
*  function to calculate the total time 
*****************************************************************************/
void Calculate_Time(char *proc_str,clock_t start,clock_t finish) {

  fprintf(stderr,"Total time for %s is %f seconds.\n",proc_str,
	  (finish-start)/1000000.0);
  return;
}
